VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces
hostclasses.h File Reference
`#include "public.sdk/source/vst/hosting/pluginterfacesupport.h"`
`#include "pluginterfaces/vst/ivsthostapplication.h"`
`#include <map>`
`#include <memory>`
`#include <string>`

## Classes
class | HostApplication
| Implementation's example of IHostApplication. More...
exception | HostAttributeList
| Example, ready to use implementation of IAttributeList. More...
exception | HostMessage
| Example implementation of IMessage. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.